Handle conversation requests
curl --request POST \
--url https://botsettings.messagesimproved.com/conversation_apiimport requests
url = "https://botsettings.messagesimproved.com/conversation_api"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://botsettings.messagesimproved.com/conversation_api', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://botsettings.messagesimproved.com/conversation_api",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://botsettings.messagesimproved.com/conversation_api"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://botsettings.messagesimproved.com/conversation_api")
.asString();require 'uri'
require 'net/http'
url = URI("https://botsettings.messagesimproved.com/conversation_api")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Request processed successfully"
}{
"status": "error",
"message": "Invalid request data"
}{
"status": "error",
"message": "An unexpected error occurred"
}Conversation
Request Conversation
Receives conversation parameters as query parameters and processes the request.
POST
/
conversation_api
Handle conversation requests
curl --request POST \
--url https://botsettings.messagesimproved.com/conversation_apiimport requests
url = "https://botsettings.messagesimproved.com/conversation_api"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://botsettings.messagesimproved.com/conversation_api', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://botsettings.messagesimproved.com/conversation_api",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://botsettings.messagesimproved.com/conversation_api"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://botsettings.messagesimproved.com/conversation_api")
.asString();require 'uri'
require 'net/http'
url = URI("https://botsettings.messagesimproved.com/conversation_api")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body{
"status": "success",
"message": "Request processed successfully"
}{
"status": "error",
"message": "Invalid request data"
}{
"status": "error",
"message": "An unexpected error occurred"
}Query Parameters
The input message from the user.
The name of the bot handling the conversation.
Email of the creator of the request.
API key for authentication.
Unique identifier for the user.
Phone number of the user.
Indicates if the request is a refresh request. Default is false.
Example:
false
The model to use for the conversation. Default is gpt4.
Example:
"gpt4"
